# std::add_pointer< _Tp > Struct Template Reference
[Type Traits]

add_pointer More...

List of all members.

## Public Types

- typedef remove_reference< _Tp >
  ::type * type

## Detailed Description

### template<typename _Tp>
struct std::add_pointer< _Tp >

add_pointer

Definition at line 491 of file tr1_impl/type_traits.

The documentation for this struct was generated from the following file:

- tr1_impl/type_traits